Download it now!
Bug 73211 - Unchecked checkboxes remain checked while mouse is over them
Summary: Unchecked checkboxes remain checked while mouse is over them
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Linux (All)
: lowest trivial
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:5.0.0 target:4.4.4 target:...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-02 04:54 UTC by Alistair Buxton
Modified: 2015-05-01 12:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alistair Buxton 2014-01-02 04:54:27 UTC
To reproduce:
1. Open any configuration dialog.
2. Click on a checkbox but don't move the mouse off it.
3. Click a couple more times.

Expected result: The checkbox should become unselected.

Actual result: The checkbox stays selected until you move the mouse off it.

WORKAROUND: Uninstall libreoffice-gtk.

This bug mainly only affects Unity/compiz. Under other window managers, some graphical corruption of the checkbox is seen, but it is less serious.

Video showing the bug in Unity: http://www.youtube.com/watch?v=0nY0uA5yI8Y
Video showing the bug in Xfwm4: http://www.youtube.com/watch?v=f3Ad8bUhNTI
Operating System: Ubuntu
Version: 4.1.3.2 release
Comment 1 Cor Nouws 2014-01-02 09:39:20 UTC
Hi Alister,
Thanks for the report & the clear video.

I run Ubuntu with Unity.
I tried in 4.2.0.1, 4.1.4.2 and 4.1.3.2 with two different dialogs. No poblem for me.
Sorry, I can't confirm,
Cor
Comment 2 tommy27 2014-01-02 09:41:00 UTC
Not reproducible using 4.1.4.2 under Win7 64bit.
probably a Linux specific issue.

@Alistair
have you tried upgrading to 4.1.4.2. does it solves the issue?
Comment 3 Alistair Buxton 2014-01-02 10:15:33 UTC
The bug is still reproducible with 4.1.4.2 on three different machines.
Comment 4 Alistair Buxton 2014-01-02 11:05:17 UTC
The bug is dependent on both the gtk theme and the window manager. With Unity the results are different with both Albatross and Greybird:

http://www.youtube.com/watch?v=sTgAzEJFQuY
Comment 5 tommy27 2014-01-02 11:52:42 UTC
@Alistair Buxton
did you ever tried older LibO releases, I mean 4.0.x or 3.6.x version?
I wonder if your bug as been always been there or it's a regression of the 4.1.x branch.
Comment 6 Adolfo Jayme 2014-01-02 21:05:59 UTC
(In reply to comment #5)

I’d say the bug has always been there, it’s not a recent regression.
Comment 7 tommy27 2014-07-20 09:45:09 UTC
@Alistair Buxton
hi, is bug still present with LibO 4.2.5.2?
Comment 8 Caolán McNamara 2015-04-24 10:08:22 UTC
I think you're referring to the "tail" of the checkbox outside the "indicator size" rectangle but within the "indicator spacing" margin. i.e the paint region of an unchecked checkbox is simply smaller than a checked checkbox so we need to explicitly erase the area on toggling
Comment 9 Commit Notification 2015-04-24 10:10:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d194074aa34e3724dd9b93fbc81bf2ba793cd37a

Resolves: tdf#73211 gtk checkboxes need erase afer toggling

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Adolfo Jayme 2015-04-24 10:48:17 UTC
Thanks for squashing this long-standing annoyance! :-)
Comment 11 Commit Notification 2015-04-25 07:21:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3717ee4bdc059fe2ed912efde20fd0c965b3fca3&h=libreoffice-4-4

Resolves: tdf#73211 gtk checkboxes need erase afer toggling

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-05-01 12:53:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d13cf60ecdab83997c9cd7275c799ddd96617cd&h=libreoffice-4-3

Resolves: tdf#73211 gtk checkboxes need erase afer toggling

It will be available in 4.3.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.